import java.awt.*;
import java.awt.event.*;

import javax.swing.*;
import javax.swing.border.*;
import javax.swing.BorderFactory;

public class Login extends JFrame{
	private JLabel IdLabel;
	private JLabel pwLabel;
	
	private JTextField Id;                            //ID　No
	private JPasswordField pw;                        //password
	private JRadioButton teacher;                     //account type: teacher or student 
	private JRadioButton student;
	private ButtonGroup bgroup;
	private JButton ButtonSignIn;
	
	//private JPanel p;
	//private JPanel q;
	public static void main(String args[]){
		
		Login loginFrame = new Login();
		loginFrame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		loginFrame.setSize(600,500);
		loginFrame.setVisible(true);
		
	}
	
	//constructor
	public Login(){
		super("Spectrophotometer");
		//Border paneEdge = BorderFactory.createEmptyBorder(100,100,100,10);
		

		setLayout(new FlowLayout());
		
		//p = new JPanel();
		//super.rootPane.setBorder(paneEdge);
		
		//p.setLayout(new FlowLayout());
		//q = new JPanel();
		//q.setLayout(new FlowLayout());
		
		//add(p);
		//add(q);
		
		
		IdLabel = new JLabel("enter your ID");
		add(IdLabel);
		pwLabel = new JLabel("enter your password");
		add(pwLabel);
		
		Id = new JTextField(15);
		add(Id);
		
	
		pw = new JPasswordField(15);
		add(pw);
		
		teacher = new JRadioButton("teacher",true);
		student = new JRadioButton("student",false);
		add(teacher);
		add(student);
		
		bgroup = new ButtonGroup();
		bgroup.add(teacher);
		bgroup.add(student);
		
		
		ButtonSignIn = new JButton("Sign in");
		add(ButtonSignIn);
		signInHandler SignInHandler = new signInHandler();
		ButtonSignIn.addActionListener(SignInHandler);

	}
	
	//get Account Information
	
	public int getAccountType(){
		if(teacher.isSelected()== true)
			return 1;
		if(student.isSelected()== true)
			return 2;
		return 0;
	}
	
	public Account readAccountInfo(){
		System.out.println(pw.getPassword());
		Account a= new Account(Id.getText(),pw.getPassword(),getAccountType());
		a.printAccount();
		
		return  a;
	}

	//SIGN IN BUTTON HANDLER
	private class signInHandler implements ActionListener{
		public void actionPerformed(ActionEvent event){
			AccountChecker checker = new AccountChecker();
			accountStorage a = new accountStorage();
			
			a.openFile("AccountStorage.txt");
			int NumsOfAccount = 3;
			
			while(NumsOfAccount!=0){
				if(checker.ValidChecker(readAccountInfo(), a.getNextAccount())){
					break;
				}
				NumsOfAccount--;
			}
			if(NumsOfAccount!=0){
				dispose();
				if(getAccountType() == 1){
					//teacherInterface go= new teacherInterface();
					JOptionPane.showMessageDialog(null, "Teacher login in");
					}
				if(getAccountType()== 2){
					JOptionPane.showMessageDialog(null, "Student login in");
					}
			}
			else
				JOptionPane.showMessageDialog(null, "invalid ID or password");	
			/*if(checker.ValidChecker(readAccountInfo(), a.getNextAccount())){
				
			
			}
			else
				*/
		}
	}
}

