package biology.spectro.domain;

import biology.domain.LabObject;
import flatscape.domain.Transform2D;
import manifold.domain.CreateGlyphCommand;
import manifold.domain.GlyphProperty;

public class LabButton extends LabObject {

	/**
	 * construction for LabButton
	 * @param cmd
	 * @param trans
	 */
	public LabButton(CreateGlyphCommand cmd, Transform2D trans){
		super(cmd, trans);
		addGlyphProperty("button.isActivated", 
				new GlyphProperty(new Boolean(false), 
						"tells if the button is activated", true));
	}
}
