package Spectro;
import java.io.*;
import java.util.*;
/**
 * This class that extends FileMgmt is used for operating file that stores 
 * Accounts.
 * @see    FileMgmt
 * @author Chao Han
 *
 */
public class AccountStorage extends FileMgmt{
	/**
	 * Return an int which is the Amount of Accounts in file that stores 
	 * Accounts. 
	 * @param    fileName the file stores all Account information
	 * @return   the Amount of Account
	 */
	public int calulateAmountOfAccount(String fileName){
		int cnt = 0;                   //int for calculate amount
		
		openFile(fileName);
		while(fileData.hasNextLine()){
			fileData.nextLine();
			cnt++; 
		}
		closeFile(fileName);
		
		return cnt;
	}
	/**
	 * return an Account type which is the next Account
	 * @see      Account
	 * @return   Account that is the next Account in the file
	 */
	public Account getNextAccount(){
		Account acc= new Account();         //
		
		if(getData().hasNext()){
			acc.setAccountType(new Integer(getData().next()));
		    acc.setID(getData().next());
		    acc.setPassword(getData().next());
		    acc.printAccount();
		}
		else{
			System.out.println(" no more Account");
		}
			return acc;	
	}
}