package biology.spectro.domain;

import biology.domain.LabObject;
import flatscape.domain.Transform2D;
import java.awt.Color;
import java.io.PrintStream;
import manifold.domain.CreateGlyphCommand;
import manifold.domain.Glyph;

public class PilotLamp extends LabObject {
	/**
	 * constructor
	 * @param cmd
	 * @param trans
	 */
	public PilotLamp(CreateGlyphCommand cmd, Transform2D trans){
		super(cmd, trans);
	}

	/**
	 * sets lamp off
	 * @param isLampOff
	 */
	public void setOff(boolean isLampOff) {
		if (isLampOff) {
			putPropertyValue("fill.color", new Color(0, 0, 0));
		} else {
			putPropertyValue("fill.color", new Color(255, 255, 255));
		}		
		System.out.println("Turning lamp off");
	}
}
