package biology.spectro.domain;

/**
 * interface for StateListener
 * @author Chao Han
 *
 */
public abstract interface StateListener {
  
	public abstract void setState(SpectroState state);
	public abstract void flipSwitch();
	public abstract void flipLid();
	public abstract void setTestTube();
	public abstract void removeTestTube();
	public abstract void measure();
}

