package biology.spectro.domain;

import biology.domain.LabObject;
import flatscape.domain.Transform2D;
import manifold.domain.CreateGlyphCommand;
import manifold.domain.Glyph;
import manifold.domain.GlyphProperty;

public class WaveDial extends LabObject {
	/**
	 * Constructor. 	
	 * @param cmd
	 * @param trans
	 */
	public WaveDial(CreateGlyphCommand cmd, Transform2D trans) {
		super(cmd, trans);
		addGlyphProperty("glyph.toolTip", 
				new GlyphProperty(new String("Wave Dial"), 
						"Tool tip for the glyph", true));
		addGlyphProperty("glyph.isClicked", 
				new GlyphProperty(new Boolean(false), 
						"To detect if the dial is clicked or not", true));
	}

	/**
	 * action of grasping
	 */
	public void grasp() {
		super.grasp();
	}
}

